Cordova Barcode Plugin

Cordova Barcode Plugin

  

Hi all,

i included the Barcode Plugin in OS 10 and published my work and all went right. Now, i'm building a native app using Outsystems Now. It works nearly. When i try to open the barcode scanner in my app, the app tells me "Barcode plugin not available". Ok, i imported the Barcode via git into my XCODE-Project, build it ... but it doesn't work. XCode always tells me "ld: library not found for -lzbar" 


Be sure, i tried a lot of things, but nothing works. Anybody outthere who can help me?


Jens

Hi Jens,

You can't have custom plugins in OutSystems Now, as the app comes prebuilt by OutSystems with a fixed set of plugins. If you want to have custom plugins you will always have to generate an app.

Hi Joao,

thanks for your reply. You're right, that i need to create an app, when i use custom plugins. But, thats what i do. I take OSNow, and customized it, by changing Build-Settings, and so and create a native ios app. Like it is describe in
https://labs.outsystems.net/OutSystemsNowDocs/WebSite.OutSystemsNow.aspx

I added successfull some plugins like the microblink OCR and so, but i was not successfull using the Barcode-Scanner .... thats my problem.

OSNow customization is not possible in version 10, yet.

Ok, it see ... you're right. So, i didn't use OSNow10, but the older, open-source ..... and i think there will be no support for this any longer.

Thats ok for me ..... but then i get my other problem, that wasn't solved right now, that i can't create native ios apps with OS 10 .... 

"that i can't create native ios apps with OS 10 .... "

Can you explain?

when i try to create an app for ios i always get the error "unexpected error, please try again" ......

Hello Jens.

Are you using any plugins? Is your Certificate and Provisioning Profiles correct and matching the build type?

My suggestion would be to create a new, clean app. Try building it. If it doesn't work with a clean app it's probably something with your Apple certificate/profile or you're choosing a wrong build type. 

If it helps, you have all the documentation available here.

Thanks